%define version 5.0.3
%define namever %(echo %version | cut -d. -f1,2 | sed 's/\\./-/')

Summary:   	Data files for VTK
Name:      	vtk-data
Version:   	%version
Release:   	%mkrel 1
# Old vtk-data was versionned with vtk, so epoch is need :(
Epoch:		1
License:   	BSD
Group:     	Graphics
Url:	   	http://www.vtk.org
Source0:   	http://www.vtk.org/files/release/%{namever}/vtkdata-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%name-root
BuildArch:	noarch
# to no bother with epoch
Provides:	%name = %version-%release

%description
The Visualization ToolKit (VTK) is an object oriented software system for 3D
computer graphics, image processing, and visualization. VTK includes a
textbook, a C++ class library, and several interpreted interface layers
including Tcl/Tk, Java, and Python. VTK supports a wide variety of
visualization algorithms including scalar, vector, tensor, texture, and
volumetric methods. It also supports advanced modeling techniques like
implicit modeling, polygon reduction, mesh smoothing, cutting, contouring,
and Delaunay triangulation.  Moreover, dozens of imaging algorithms have been
integrated into the system. This allows mixing 2D imaging / 3D graphics
algorithms and data.

This package contains all the data from the VTKData repository.
These data are required to run various examples from the examples package.

%prep
%setup -q -n VTKData
rm -rf `find -name CVS -type d`


%install

mkdir -p $RPM_BUILD_ROOT/%_datadir/%name
cp -a * $RPM_BUILD_ROOT/%_datadir/%name
rm -fr $RPM_BUILD_ROOT/%_datadir/%name/VERSION

%files
%defattr(0644,root,root,0755)
%doc VTKData.readme
%dir %_datadir/vtk-data
%_datadir/vtk-data/Baseline
%_datadir/vtk-data/Data
%_datadir/vtk-data/VTKData.readme

%clean 
rm -rf $RPM_BUILD_ROOT





%changelog
* Mon Aug 27 2007 Gaëtan Lehmann <glehmann@mandriva.org> 5.0.3-1mdv2008.0
+ Revision: 71869
- 5.0.3


* Mon Dec 18 2006 Gaëtan Lehmann <glehmann@mandriva.org> 5.0.2-1mdv2007.0
+ Revision: 98778
- 5.0.2
- Import vtk-data

* Tue Jul 18 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 5.0.1-1mdv2007.0
- New release 5.0.1

* Tue Jun 20 2006 Lenny Cartier <lenny@mandriva.com> 1:5.0.0-2mdv2007.0
- rebuild

* Wed Feb 01 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 5.0.0-1mdk
- 5.0.0

* Fri Dec 09 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 5.0-0.20051206.1mdk
- update to 5.0 cvs
- fix build requires
- update URL

* Fri Apr 01 2005 Olivier Thauvin <nanardon@mandrake.org> 1:4.4-1mdk
- initial release from vtk rpm

